.. _expression_api_toplevel:

SQL Statements and Expressions API
==================================

.. module:: sqlalchemy.sql.expression

This section presents the API reference for the SQL Expression Language.
For an introduction, start with :ref:`tutorial_working_with_data`
in the :ref:`unified_tutorial`.


.. toctree::
    :maxdepth: 3

    sqlelement
    operators
    selectable
    dml
    functions
    compiler
    serializer
    foundation
    visitors
